summaryrefslogtreecommitdiffstats
path: root/init.sh
diff options
context:
space:
mode:
authorJan Pokorný <jpokorny@redhat.com>2012-02-03 18:12:19 +0100
committerJan Pokorný <jpokorny@redhat.com>2012-02-03 18:12:19 +0100
commit9d90b7eb2bba17af3b7720caa9935f560c0cadfa (patch)
tree331049508caf6f2e507682e94cde8b61a1a52e62 /init.sh
parentd8a3b76e6044689ebe4336abbcd21f677dbba31d (diff)
downloadvim4projects-9d90b7eb2bba17af3b7720caa9935f560c0cadfa.tar.gz
vim4projects-9d90b7eb2bba17af3b7720caa9935f560c0cadfa.tar.xz
vim4projects-9d90b7eb2bba17af3b7720caa9935f560c0cadfa.zip
init.sh: support for "post_get", git clone recursive
Signed-off-by: Jan Pokorný <jpokorny@redhat.com>
Diffstat (limited to 'init.sh')
-rwxr-xr-xinit.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/init.sh b/init.sh
index b7e709f..149cadc 100755
--- a/init.sh
+++ b/init.sh
@@ -55,7 +55,7 @@ do_git_submodule () {
announce "$1 $submodule (git submodule)"
if [ "$1" == "get" ]; then
pushd "$(git rev-parse --show-toplevel)" 2>/dev/null
- git submodule update --init "${git_prefix}${submodule}" 2>&1
+ git submodule update --init --recursive "${git_prefix}${submodule}" 2>&1
popd 2>/dev/null
else
do_del "$submodule"
@@ -103,6 +103,12 @@ do_svn () {
check_ret $?
}
+do_post_get () {
+ # usage: $1=action ($1 passed from main), $2..$N command + args
+ [ "$1" != "get" ] || "${@:2}"
+ check_ret $?
+}
+
#
# source the choices (./init-* files) and go
#